Bug 58523 - xosview enters infinite loop and does not open a window
xosview enters infinite loop and does not open a window
Product: Red Hat Linux
Classification: Retired
Component: xosview (Show other bugs)
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2002-01-18 13:53 EST by Diego Novillo
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-18 13:53:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Diego Novillo 2002-01-18 13:53:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20011226

Description of problem:
When launched xosview goes into an infinite loop.  It opens no windows and
displays no error messages.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Launch 'xosview' with no arguments	

Actual Results:  No feedback from xosview.  Opening 'top' on a separate window
shows it consuming 100% of the CPU.

Expected Results:  xosview window should have appeared.

Additional info:
Comment 1 Ngo Than 2002-01-18 14:21:19 EST
It need to port on alpha. It's why i always have excluded it on alpha.

ask Tom Tromey why he has done. He should remove it on alpha. I don't have time
to port it for alpha plattform!
Comment 2 Tom Tromey 2002-01-18 15:15:19 EST
We're going to remove this package from the final.
Comment 3 Tom Tromey 2002-01-31 11:56:01 EST
I've looked into this a bit more.

I don't think the problem is in the libstdc++ getline().
That code looks ok.  It sets the failure indicator on the
istream because the line is too long.

The problem instead is in xosview, which ignores the error
condition.  xosview has another more serious bug.  You can see
it by modifying the buffer size to be large enough; 8192
worked for me.  With this change, instead of hanging, xosview
crashes in chunk_free (part of malloc).  Ordinarily this means
memory corruption, or a duplicate free(), or something similar.
Comment 4 Beth Uptagrafft 2002-02-07 10:24:20 EST
This is a problem in xosview and since it is a workstation package, which is 
outside the scope of the contract, it will not be resolved.  This case will 
marked closed - wontfix. 

Note You need to log in before you can comment on or make changes to this bug.